Accepting request 645962 from network:ha-clustering:Unstable

update to 9.6.0

OBS-URL: https://build.opensuse.org/request/show/645962
OBS-URL: https://build.opensuse.org/package/show/network:ha-clustering:Factory/drbd-utils?expand=0&rev=69
This commit is contained in:
nick wang 2018-11-02 01:55:58 +00:00 committed by Git OBS Bridge
parent 9930e86a65
commit 3422c12178
6 changed files with 24 additions and 45 deletions

View File

@ -5,10 +5,10 @@
<param name="filename">drbd-utils</param>
<!--
build service using release drbd-utils atm.
<param name="version">9.5.0</param>
<param name="version">9.6.0</param>
Using release tarball instead of git since need buildtag.c/h
-->
<param name="versionformat">9.5.0+git.%h</param>
<param name="versionformat">9.6.0+git.%h</param>
<param name="revision">master</param>
</service>

View File

@ -1,3 +0,0 @@
version https://git-lfs.github.com/spec/v1
oid sha256:3890fdf19ce7d08b6f293323ca272e67dbbdee83ed35296f8b9565b1c78f2244
size 1058150

3
drbd-utils-9.6.0.tar.gz Normal file
View File

@ -0,0 +1,3 @@
version https://git-lfs.github.com/spec/v1
oid sha256:a5cb6ced9c5a688f94328f423c77dc74dc26eb8af5f1211bd800c283d5dd7605
size 1067391

View File

@ -1,3 +1,21 @@
-------------------------------------------------------------------
Tue Oct 30 08:05:03 UTC 2018 - nwang@suse.com
- Update to new upstream release 9.6.0
* usage-count: also count notty users if possible.
* drbd-overview: remove it, we have drbdtop/drbdmon. saves all the Perl deps.
* drbdmon: update frequency limiting, debug log for drbdevents, use
altbuffer,...
* drbdsetup show: on 9 allow json output.
mainly used in our CI, don't expect a stable field names yet.
* drbdsetup satus: on 9 fix json output to not include NaN/Infinity
* allow higher resync rates: first customers hit a limit. this requires an
updated kernel module as well (e.g., 9.0.16)
* init: fix some 8-only leftovers (sh-b-pri), sanitize the retry logic
* doc: document various 9 features that got forgotten (e.g., quorum-lost)
* build: various small fixes that popped up while playing with meson
- Remove patch: skip_sh-b-pri_in_v9.patch fix in ace704aac
-------------------------------------------------------------------
Mon Jul 23 03:05:33 UTC 2018 - nwang@suse.com

View File

@ -19,7 +19,7 @@
%bcond_without drbdmon
Name: drbd-utils
Version: 9.5.0
Version: 9.6.0
Release: 0
Summary: Distributed Replicated Block Device
License: GPL-2.0+
@ -34,7 +34,6 @@ Patch3: fence-after-pacemaker-down.patch
# PATCH-SUSE-FIX: Disable quorum in default configuration (bsc#1032142)
Patch4: 0001-Disable-quorum-in-default-configuration-bsc-1032142.patch
Patch5: move_fencing_from_disk_to_net_in_example.patch
Patch6: skip_sh-b-pri_in_v9.patch
Provides: drbd-bash-completion = %{version}
Provides: drbd-pacemaker = %{version}
@ -82,7 +81,6 @@ raid 1. It is a building block for setting up clusters.
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%build
export WANT_DRBD_REPRODUCIBLE_BUILD=1
@ -148,7 +146,6 @@ rm -rf %{buildroot}%{_sysconfdir}/xen
/sbin/drbdadm
/sbin/drbdsetup
/sbin/drbdmeta
/sbin/drbd-overview
%if %{with drbdmon}
/sbin/drbdmon
%endif

View File

@ -1,36 +0,0 @@
diff -Naur drbd-utils-9.0.0.orig/scripts/drbd drbd-utils-9.0.0/scripts/drbd
--- drbd-utils-9.0.0.orig/scripts/drbd 2017-10-16 17:02:55.707528280 +0800
+++ drbd-utils-9.0.0/scripts/drbd 2017-10-16 17:34:02.134427141 +0800
@@ -55,6 +55,13 @@
. /lib/lsb/init-functions
fi
+local DRBD_VERSION DRBD_IS_V9=false
+DRBD_VERSION="$($DRBDADM --version 2>/dev/null | grep DRBD_KERNEL_VERSION_CODE | cut -d '=' -f 2)"
+if (( $DRBD_VERSION >= 0x090000 ))
+then
+ DRBD_IS_V9=true
+fi
+
assure_module_is_loaded()
{
[ -e "$PROC_DRBD" ] && return
@@ -191,7 +198,8 @@
# Become primary if configured
# Currently, this is necessary for drbd8
# drbd9 supports automatic promote and removes the "sh-b-pri" command.
- $DRBDADM sh-b-pri all || true
+ # Do not run "$DRBDADM sh-b-pri all" in v8
+ $DRBD_IS_V9 || $DRBDADM sh-b-pri all || true
log_end_msg 0
# Now handle stacked devices, if any
@@ -218,7 +226,7 @@
done
done
$DRBDADM -S wait-con-int # User interruptible version of wait-connect all
- $DRBDADM -S sh-b-pri all || true
+ $DRBD_IS_V9 || $DRBDADM -S sh-b-pri all || true
log_end_msg 0
fi
fi